## bfh-metapackages 20211009

=== Makefile ===
# BFH metapackages

# Copyright (C) 2013-2021 Daniel Baumann <daniel@debian.org>
#
# SPDX-License-Identifier: GPL-3.0+
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

SHELL := sh -e

PROJECT := bfh-metapackages

all: build

clean: clean-man

clean-man:
	# clean man
	$(MAKE) -C man clean

build: build-man

build-man:
	# build man
	$(MAKE) -C man build

test:
	@# empty

install: install-doc install-man

install-doc:
	# install doc
	mkdir -p $(DESTDIR)/usr/share/doc/$(PROJECT)
	cp *.txt $(DESTDIR)/usr/share/doc/$(PROJECT)

install-man:
	# install man
	for SECTION in $$(seq 1 8); \
	do \
		if ls man/*.$${SECTION} > /dev/null 2>&1; \
		then \
			mkdir -p $(DESTDIR)/usr/share/man/man$${SECTION}; \
			cp man/*.$${SECTION} $(DESTDIR)/usr/share/man/man$${SECTION}; \
		fi; \
	done

uninstall: uninstall-doc uninstall-man

uninstall-doc:
	# uninstall doc
	rm -rf $(DESTDIR)/usr/share/doc/$(PROJECT)

uninstall-man:
	# uninstall man
	for SECTION in $$(seq 1 8); \
	do \
		for FILE in man/*.$${SECTION}; \
		do \
			rm -f $(DESTDIR)/usr/share/man/man$${SECTION}/$$(basename $${FILE}); \
		done; \
		rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/share/man/man$${SECTION} || true; \
	done

reinstall: clean uninstall build install

=== man/Makefile ===
# BFH metapackages

# Copyright (C) 2013-2021 Daniel Baumann <daniel@debian.org>
#
# SPDX-License-Identifier: GPL-3.0+
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

# Depends: python3-docutils

RST2MAN = rst2man \
	--no-datestamp \
	--no-generator \
	--strict \
	--strip-comments \
	--tab-width=4 \
	--verbose

VERSION := $(shell cat ../VERSION.txt)

SHELL := sh -e

all: build

build: man

rebuild: clean build

man: man.in *.rst
	@echo -n "Creating manpages... "

	@for FILE in *.rst; \
	do \
		cp man.in $$(basename $${FILE} .rst); \
		$(RST2MAN) $${FILE} | \
		sed	-e '/^.\\" Man page generated/d' \
			-e '/^.\\" Generated by/d' \
			-e "s|^\(.TH .*\) \(\"\" \"\"\) |\1 $${VERSION} bfh-metapackages |" \
		>> $$(basename $${FILE} .rst); \
		echo -n "."; \
	done

	@echo " done."

clean:
	rm -f *.[0-9]

.PHONY: all clean build rebuild man

=== debian/changelog ===
bfh-metapackages (20211009-38) sid; urgency=medium

  * Adding gnome-shell-extension-manager to bfh-gnome-desktop depends.
  * Adding gnome-shell-extension-no-annoyance to bfh-gnome-desktop
    depends.

 -- Daniel Baumann <daniel@debian.org>  Tue, 29 Jul 2025 15:30:48 +0200

bfh-metapackages (20211009-37) sid; urgency=medium

  * Adding haveged to bfh-host depends.

 -- Daniel Baumann <daniel@debian.org>  Tue, 15 Jul 2025 17:10:38 +0200

bfh-metapackages (20211009-36) sid; urgency=medium

  * Adding bfh-python-server in control (disabled for now).
  * Adding bfh-r-server in control (disabled for now).

 -- Daniel Baumann <daniel@debian.org>  Sun, 06 Jul 2025 09:46:25 +0200

bfh-metapackages (20211009-35) sid; urgency=medium

  * Adding open-infrastructure-openssh-tools to bfh-base-system suggests.
  * Adding firmware-linux to bfh-host suggests.
  * Adding firmware-intel-misc to bfh-host suggests.
  * Removing liferea from bfh-desktop depends.
  * Removing deluge from bfh-desktop suggests.

 -- Daniel Baumann <daniel@debian.org>  Wed, 25 Jun 2025 21:42:05 +0200

bfh-metapackages (20211009-34) sid; urgency=medium

  * Removing netdata from bfh-container-server recommends (see #1106233
    and #1107082).

 -- Daniel Baumann <daniel@debian.org>  Mon, 02 Jun 2025 06:16:05 +0200

bfh-metapackages (20211009-33) sid; urgency=medium

  * Updating open-infrastructure-compute-tools depends.
  * Marking lnav depends as non-armel and non-armhf only, thanks to Adrian
    Bunk <bunk@debian.org> (Closes: #1102555).

 -- Daniel Baumann <daniel@debian.org>  Fri, 11 Apr 2025 16:02:07 +0200

bfh-metapackages (20211009-32) sid; urgency=medium

  * Uploading to sid.
  * Applying patch from Helmut Grohne <helmut@subdivi.de> to fix --rename
    flags on duplicated diversions (DEP17 M18, Closes: #1092955).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 16 Jan 2025 06:47:00 +0100

bfh-metapackages (20211009-31) sid; urgency=medium

  * Uploading to sid.
  * Using consolation instead of gpm.
  * Dropping gimp on s390x in bfh-desktop depends (Closes: #1089737).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 12 Dec 2024 18:07:25 +0100

bfh-metapackages (20211009-30) sid; urgency=medium

  * Uploading to sid.
  * Removing gimp-plugin-registry from bfh-gnome-desktop depends (Closes:
    #1088059).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 22 Nov 2024 20:05:54 +0100

bfh-metapackages (20211009-29) sid; urgency=medium

  * Uploading to sid.
  * Moving from knot-resolver to systemd-resolved.
  * Removing repends to inkscape-symbols in bfh-desktop depends.
  * Re-including thunderbird on i386 in bfh-desktop depends.
  * Removing virtualbox-qt in bfh-desktop suggests.
  * Adding pavucontrol in bfh-gnome-desktop depends.
  * Moving gnome-shell-extensions-extra from bfh-gnome-desktop suggests to
    depends.
  * Adding vim-nftables to bfh-base-system suggests.
  * Removing plymouth from bfh-base-system depends.
  * Adding intel firmware packages to bfh-host suggests.
  * Wrap and sorting control file.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 04 Oct 2024 09:41:42 +0200

bfh-metapackages (20211009-28) sid; urgency=medium

  * Uploading to sid.
  * Removing debootstrap as alternative in bfh-container-server depends.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 04 Oct 2024 09:09:47 +0200

bfh-metapackages (20211009-27) sid; urgency=medium

  * Uploading to sid.
  * Also removing dropped gnome-shell-extension-bluetooth-quick-connect
    from bfh-gnome-desktop depends.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 28 Jul 2024 16:09:29 +0200

bfh-metapackages (20211009-26) sid; urgency=medium

  * Uploading to sid.
  * Removing gnome-shell-extension-no-annoyance from bfh-gnome-desktop
    depends (Closes: #1052556).
  * Moving files to /usr (Closes: #1073728).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 27 Jul 2024 00:39:11 +0200

bfh-metapackages (20211009-25) sid; urgency=medium

  * Uploading to sid.
  * Updating copyright for 2024.
  * Updating to standards-version 4.7.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 27 Jul 2024 00:13:49 +0200

bfh-metapackages (20211009-24) sid; urgency=medium

  * Uploading to sid.
  * Applying patch from Helmut Grohne <helmut@subdivi.de> to delete
    /usr/lib/container/divert on package removal.
  * Cosmetically harmonizing directory cleanup in progress-linux
    maintainer scripts for better readability.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 23 Dec 2023 08:39:55 +0100

bfh-metapackages (20211009-23) sid; urgency=medium

  * Uploading to sid.
  * Applying patch from Helmut Grohne <helmut@subdivi.de> to delete
    /usr/lib/container/divert on package removal.
  * Cosmetically harmonizing directory cleanup in progress-linux
    maintainer scripts for better readability.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 23 Dec 2023 08:39:41 +0100

bfh-metapackages (20211009-22) experimental; urgency=medium

  * Uploading to experimental.
  * Applying patch from Helmut Grohne <helmut@subdivi.de> to duplicate
    diversion via DEP17 M18 (Closes: #1055509).
  * Cosmetically harmonizing diversion handling in bfh-container
    maintainer scripts for better readability.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 20 Dec 2023 11:12:25 +0100

bfh-metapackages (20211009-21) sid; urgency=medium

  * Uploading to sid.
  * Adding ipcalc-ng to bfh-base-system dependencies.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 11 Oct 2023 11:26:46 +0200

bfh-metapackages (20211009-20) sid; urgency=medium

  * Uploading to sid.
  * Adding conflicts/replaces against progress-linux-container (Closes:
    #1034911).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 03 May 2023 11:21:33 +0200

bfh-metapackages (20211009-19) sid; urgency=medium

  * Uploading to sid.


=== debian/control ===
Source: bfh-metapackages
Section: metapackages
Priority: optional
Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
Build-Depends:
 debhelper-compat (= 13),
 python3-docutils,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://bfh.science
Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/bfh-metapackages
Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/bfh-metapackages

Package: bfh-base-system
Section: metapackages
Architecture: any
Depends:
 ${misc:Depends},
 task-ssh-server,
# bash
 bash-completion,
 powerline,
 powerline-gitstatus,
# debian
 apt-utils,
 debconf-utils,
 needrestart,
# knot
 knot-dnsutils,
 knot-host,
# ldap
 sssd,
 sssd-tools,
 libnss-sss,
 libpam-sss,
# lzip
 plzip,
 tarlz,
 zutils,
# systemd
 libpam-systemd,
 systemd-resolved,
 systemd-oomd,
# other
 acl,
 bc,
 ca-certificates,
 gawk,
 git,
 gnupg,
 htop,
 ipcalc-ng,
 jq,
 less,
 lnav [!armel !armhf],
 lsb-release,
 lynx,
 man-db,
 mc,
 mtr-tiny,
 openssl,
 psmisc,
 python3,
 ptpython,
 rsync,
 screen,
 sudo,
 tcpdump,
 traceroute,
 vim,
 wget,
 whois,
 zstd,
Suggests:
 ldap-utils,
 open-infrastructure-openssh-tools,
 vim-nftables,
Description: BFH - Base System Metapackage
 Bern University of Applied Sciences (BFH) provides Debian-based images and
 systems to its users and everyone else interested in the form of a Debian
 Derrivative.
 .
 This package is a metapackage defining the package selection for the
 BFH Base System.

Package: bfh-container
Section: metapackages
Architecture: all
Depends:
 ${misc:Depends},
 bfh-base-system,
# systemd
 dbus,
 polkitd,
 systemd-sysv,
Conflicts:
 molly-guard,
 progress-linux-container,
Replaces:
 molly-guard,
 progress-linux-container,
Enhances:
 bfh-base-system,
Description: BFH - Container Metapackage
 Bern University of Applied Sciences (BFH) provides Debian-based images and
 systems to its users and everyone else interested in the form of a Debian
 Derrivative.
 .
 This package is a metapackage to be installed in a container (systemd-nspawn).

Package: bfh-host
Section: metapackages
Architecture: any
Depends:
 ${misc:Depends},
 bfh-base-system,
# cryptsetup
 cryptsetup-bin,
 keyutils,
# firmware-free
 firmware-linux-free,
# monitoring
 spectre-meltdown-checker,
# other
 consolation,
 console-setup,
 dmidecode [amd64 arm64],
 ethtool,
 haveged,
 hdparm,
 nvme-cli,
 parted,
 smartmontools,
 systemd-timesyncd,
Suggests:
# bash
 fonts-powerline-extra,
# firmware-nonfree (non-free)
 firmware-linux,
 firmware-linux-nonfree,
 firmware-misc-nonfree,
 firmware-intel-misc,
# firmware (non-free)
 firmware-ast,
# microcode (contrib, non-free)
 iucode-tool,
 amd64-microcode,
 intel-microcode,
# other (third-party)
 supermicro-ipmicfg,
 intel-x710-firmware,
 intel-e810-firmware,
Enhances:
 bfh-base-system,
Description: BFH - Host Metapackage
 Bern University of Applied Sciences (BFH) provides Debian-based images and
 systems to its users and everyone else interested in the form of a Debian
 Derrivative.
 .
 This package is a metapackage to be installed on a host system (physical or
 virtual).

Package: bfh-desktop
Section: metapackages
Architecture: any
Depends:
 ${misc:Depends},
 bfh-base-system,
 task-desktop,
 task-laptop,
 cups,
# bash
 fonts-powerline,
# firefox
 firefox | firefox-esr | www-browser,
 webext-foxyproxy,
 webext-privacy-badger,
 webext-ublock-origin-firefox,
# filesystems
 dosfstools,
 exfatprogs,
 nfs-common,
 ntfs-3g,
 samba-common,
 sshfs,
# gimp
 gimp [!s390x],
# inkscape
 inkscape,
# network-manager
 network-manager-config-connectivity-debian,
 network-manager-ssh,
# thunderbird
 thunderbird [amd64 arm64],
# zip
 unzip,
 zip,
# other
 apg,
 nwipe,
 symlinks,
Suggests:
# virtualbox (contrib, non-free)
 virtualbox,
 virtualbox-dkms,
 virtualbox-ext-pack,
Enhances:
 bfh-base-system,
Description: BFH - Desktop Metapackage
 Bern University of Applied Sciences (BFH) provides Debian-based images and
 systems to its users and everyone else interested in the form of a Debian
 Derrivative.
 .
 This package is a metapackage to be installed on a desktop.

Package: bfh-gnome-desktop
Section: metapackages
Architecture: all
Depends:
 ${misc:Depends},
 bfh-desktop,
 task-gnome-desktop,
# gnome
 pavucontrol,
# gnome-shell-extensions
 gnome-shell-extension-manager,
 gnome-shell-extensions-extra,
 gnome-shell-extension-impatience,
 gnome-shell-extension-no-annoyance,
# nautilus
 nautilus-admin,
# network-manager
 network-manager-ssh-gnome,
Enhances:
 bfh-base-system,
 bfh-desktop,
Description: BFH - GNOME Desktop Metapackage
 Bern University of Applied Sciences (BFH) provides Debian-based images and
 systems to its users and everyone else interested in the form of a Debian
 Derrivative.
 .
 This package is a metapackage defining the package selection for the
 BFH GNOME Desktop.

Package: bfh-server
Section: metapackages
Architecture: all
Depends:
 ${misc:Depends},
 bfh-base-system,
# other
 localepurge,
 logrotate,
 molly-guard | bfh-container,
 postfix,
 safe-rm,
Breaks:
 exim4-config,
Enhances:
 bfh-base-system,
Description: BFH - Server Metapackage
 Bern University of Applied Sciences (BFH) provides Debian-based images and
 systems to its users and everyone else interested in the form of a Debian
 Derrivative.
 .
 This package is a metapackage to be installed on a server.

Package: bfh-container-server
Section: metapackages
Architecture: all
Depends:
 ${misc:Depends},
 bfh-server,
# container-tools
 open-infrastructure-compute-tools,
 curl,
 mmdebstrap,
 irker,
 pv,
 bridge-utils,
# other
 lldpd,
 numad,
Suggests:
 ttyd,
Enhances:
 bfh-base-system,
 bfh-server,
Description: BFH - Container Server Metapackage
 Bern University of Applied Sciences (BFH) provides Debian-based images and
 systems to its users and everyone else interested in the form of a Debian
 Derrivative.
 .
 This package is a metapackage defining the package selection for the
 BFH Container Server.

#Package: bfh-python-server
#Section: metapackages
#Architecture: all
#Depends:
# ${misc:Depends},
# bfh-server,
## Python
# python3-full,
## Python modules
# python3-pip,
# python3-virtualenv,
## Python tools
# ptpython,
#Enhances:
# bfh-base-system,
# bfh-server,
#Description: BFH - Python Server Metapackage
# Bern University of Applied Sciences (BFH) provides Debian-based images and
# systems to its users and everyone else interested in the form of a Debian
# Derrivative.
# .
# This package is a metapackage defining the package selection for the
# BFH Python Server.

#Package: bfh-r-server
#Section: metapackages
#Architecture: all
#Depends:
# ${misc:Depends},
# bfh-server,
## R
# r-base,
# r-base-html,
# r-doc-html,
## R packages
# build-essential,
# libssl-dev,
# libblas-dev,
# liblapack-dev,
# gfortran,
## R tools
# littler,
#Enhances:
# bfh-base-system,
# bfh-server,
#Description: BFH - R Server Metapackage
# Bern University of Applied Sciences (BFH) provides Debian-based images and
# systems to its users and everyone else interested in the form of a Debian
# Derrivative.
# .
# This package is a metapackage defining the package selection for the
# BFH R Server.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@}

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/bfh-base-system

execute_after_dh_auto_install:
	# shutdown
	mkdir -p debian/bfh-container/sbin
	for FILE in halt poweroff reboot shutdown coldreboot; \
	do \
		cp debian/local/shutdown debian/bfh-container/sbin/$${FILE}; \
	done

	mkdir -p debian/bfh-container/usr/sbin
	for FILE in pm-hibernate pm-suspend pm-suspend-hybrid; \
	do \
		cp debian/local/shutdown debian/bfh-container/usr/sbin/$${FILE}; \
	done

	mkdir -p debian/bfh-container/usr/share/container
	cp debian/local/shutdown.txt debian/bfh-container/usr/share/container

	# removing useless files
	rm -f debian/tmp/usr/share/doc/*/CHANGELOG.txt
	rm -f debian/tmp/usr/share/doc/*/LICENSE.txt
	rm -f debian/tmp/usr/share/doc/*/VERSION.txt

execute_after_dh_install:
	if command -v dh_movetousr > /dev/null 2>&1; then dh_movetousr; fi

## bfh-metapackages 20260205

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # BFH metapackages
 
-# Copyright (C) 2013-2021 Daniel Baumann <daniel@debian.org>
+# Copyright (C) 2006-2026 Daniel Baumann <daniel@debian.org>
 #
 # SPDX-License-Identifier: GPL-3.0+
 #
@@ -20,19 +20,18 @@
 SHELL := sh -e
 
 PROJECT := bfh-metapackages
+VERSION := $(shell cat VERSION.txt)
 
 all: build
 
 clean: clean-man
 
 clean-man:
-	# clean man
 	$(MAKE) -C man clean
 
 build: build-man
 
 build-man:
-	# build man
 	$(MAKE) -C man build
 
 test:
@@ -41,12 +40,10 @@
 install: install-doc install-man
 
 install-doc:
-	# install doc
 	mkdir -p $(DESTDIR)/usr/share/doc/$(PROJECT)
 	cp *.txt $(DESTDIR)/usr/share/doc/$(PROJECT)
 
-install-man:
-	# install man
+install-man: build-man
 	for SECTION in $$(seq 1 8); \
 	do \
 		if ls man/*.$${SECTION} > /dev/null 2>&1; \
@@ -57,13 +54,13 @@
 	done
 
 uninstall: uninstall-doc uninstall-man
+	rmdir --ignore-fail-on-non-empty $(DESTDIR) || true
 
 uninstall-doc:
-	# uninstall doc
 	rm -rf $(DESTDIR)/usr/share/doc/$(PROJECT)
+	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/doc || true
 
 uninstall-man:
-	# uninstall man
 	for SECTION in $$(seq 1 8); \
 	do \
 		for FILE in man/*.$${SECTION}; \
@@ -74,3 +71,24 @@
 	done
 
 reinstall: clean uninstall build install
+
+release: clean
+	git commit -a -s -S -m 'Releasing version $(VERSION).' || true
+	git tag -s -m 'Tagging version $(VERSION).' v$(VERSION) || true
+
+	mkdir -p $(PROJECT)-$(VERSION)
+	find . -mindepth 1 -maxdepth 1 -and -not -name ".git*" -and -not -name debian -and -not -name $(PROJECT)-$(VERSION) -exec cp \-a {} $(PROJECT)-$(VERSION) \;
+
+	for FORMAT in xz lzip; \
+	do \
+		EXTENSION=$$(echo $${FORMAT} | cut -b-2); \
+		tar --$${FORMAT} -cf ../$(PROJECT)-$(VERSION).tar.$${EXTENSION} $(PROJECT)-$(VERSION); \
+		sha512sum ../$(PROJECT)-$(VERSION).tar.$${EXTENSION} > ../$(PROJECT)-$(VERSION).tar.$${EXTENSION}.sha512; \
+		gpg --default-key 00xFBB4F0E80A80222 --armor -b ../$(PROJECT)-$(VERSION).tar.$${EXTENSION}; \
+		mv ../$(PROJECT)-$(VERSION).tar.$${EXTENSION}.asc ../$(PROJECT)-$(VERSION).tar.$${EXTENSION}.sig; \
+	done
+
+	rm -rf $(PROJECT)-$(VERSION)
+
+upload:
+	scp ../$(PROJECT)-$(VERSION).* apt.progress-linux.org:/srv/apt.progress-linux.org/archive/upstream/$(PROJECT)

=== man/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # BFH metapackages
 
-# Copyright (C) 2013-2021 Daniel Baumann <daniel@debian.org>
+# Copyright (C) 2006-2026 Daniel Baumann <daniel@debian.org>
 #
 # SPDX-License-Identifier: GPL-3.0+
 #

=== debian/changelog ===
bfh-metapackages (20260205-3) sid; urgency=medium

  * Aborting on errors in rules.
  * Adding numactl to bfh-container-server depends.
  * Correcting various typos in changelog.
  * Updating watch file.

 -- Daniel Baumann <daniel@debian.org>  Wed, 25 Feb 2026 08:36:45 +0100

bfh-metapackages (20260205-2) sid; urgency=medium

  * Adding watch file.

 -- Daniel Baumann <daniel@debian.org>  Thu, 05 Feb 2026 15:50:48 +0100

bfh-metapackages (20260205-1) sid; urgency=medium

  * Merging upstream version 20260205.
  * Adding ncdu to bfh-base-system.
  * Harmonizing email addresses.
  * Removing Rules-Requires-Root, not needed anymore.
  * Updating to standards version 4.7.3.
  * Updating vcs fields.
  * Updating copyright file.
  * Updating upstream sigining-key.
  * Removing dh_movetousr and directly using directories in /usr (Closes:
    #1122747).
  * Removing pre-trixie usr-is-merged handling.
  * Removing now unused pm divertions.

 -- Daniel Baumann <daniel@debian.org>  Thu, 05 Feb 2026 15:22:23 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: bfh-metapackages
 Section: metapackages
 Priority: optional
-Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
+Maintainer: Daniel Baumann <daniel@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  python3-docutils,
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://bfh.science
-Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/bfh-metapackages
-Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/bfh-metapackages
+Vcs-Browser: https://git.progress-linux.org/debian/bfh-metapackages
+Vcs-Git: https://git.progress-linux.org/debian/bfh-metapackages
 
 Package: bfh-base-system
 Section: metapackages
@@ -58,6 +57,7 @@
  man-db,
  mc,
  mtr-tiny,
+ ncdu,
  openssl,
  psmisc,
  python3,
@@ -280,6 +280,7 @@
  bridge-utils,
 # other
  lldpd,
+ numactl,
  numad,
 Suggests:
  ttyd,

=== debian/rules ===
#!/usr/bin/make -f

SHELL := sh -e

%:
	dh ${@}

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/bfh-base-system

execute_after_dh_auto_install:
	# shutdown
	mkdir -p debian/bfh-container/usr/sbin
	for FILE in halt poweroff reboot shutdown coldreboot; \
	do \
		cp debian/local/shutdown debian/bfh-container/usr/sbin/$${FILE}; \
	done

	mkdir -p debian/bfh-container/usr/share/container
	cp debian/local/shutdown.txt debian/bfh-container/usr/share/container

	# removing useless files
	rm -f debian/tmp/usr/share/doc/*/CHANGELOG.txt
	rm -f debian/tmp/usr/share/doc/*/LICENSE.txt
	rm -f debian/tmp/usr/share/doc/*/VERSION.txt

=== debian/watch ===
Version: 5

Source: https://archive.progress-linux.org/archive/upstream/bfh-metapackages
